* {
    outline: none;    
    user-select: none;
    -webkit-user-drag: none;
    -webkit-app-region: no-drag;
    cursor: default;
}

form {
    display: contents;
}

body {
    min-height: 100vh;

    margin: 0px;
    padding-right: 0px;

    background-image: url(../img/background.jpg);
    background-position: center center;
    background-repeat: repeat;
    background-size: cover;
}

@font-face {
    font-family: Montserrat-R;
    src: url(../font/Montserrat/Montserrat-Regular.otf);
}

@font-face {
    font-family: Montserrat-L;
    src: url(../font/Montserrat/Montserrat-Light.otf);
}

.noselect {
    -webkit-touch-callout: none; 
    -webkit-user-select: none; 
    -khtml-user-select: none; 
    -moz-user-select: none; 
    -ms-user-select: none; 
    user-select: none; 
}

.disabled {
    display: none;
}

.logo-vertical {
    content: url(../img/logo_vertical.png);
    width: 20vw;
}

.horizontal-box-full {
    
    display: flex;
    flex-direction: row;

    justify-content: space-around;
    align-items: center;

    width: 100%;
    height: 100vh;
}

.vertical-box-full {
    display: flex;
    flex-direction: column;

    justify-content: space-evenly;
    align-items: center;

    width: 100%;
    height: 100vh;
}

.horizontal-box {
    display: flex;
    flex-direction: row;

    justify-content: space-around;
    align-items: center;
}

.login-box {
    background-color: #f1f1f1;
    padding: 35px;

    width: 25%;

    display: flex;
    flex-direction: column;

    justify-content: center;
    align-items: center;

    border-radius: 15px;
}

.login-box h2 {
    font-family: Montserrat-R;
    color: #002034;
}

.login-box select {
    height: 41px;
    width: 100%;
    margin: 5px;
    
    color: #002034;

    padding-left: 10px;
    padding-right: 10px;    

    border-radius: 15px;
    border: 2px solid transparent;

    font-family: Montserrat-L;
}

input, select, option {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;  
}

.login-box input {
    height: 41px;
    width: 100%;
    margin: 5px;
    
    color: #002034;

    padding-left: 10px;
    padding-right: 10px;    

    border-radius: 15px;
    border: 2px solid transparent;

    font-family: Montserrat-L;
}

.login-box input:focus {
    border: 2px solid #002034;
}

.login-box input[type='submit'], input[type='button'] {
    height: 41px;

    color: #002034;
    font-family: Montserrat-R;

    border-radius: 15px;
    background-color: white;

    border: 1px solid transparent;
    cursor: pointer;
}

.login-box input[type='submit']:hover, input[type='button']:hover {
    border: 1px solid #002034;
}

.login-box input[type='submit']:active, input[type='button']:active {
    color: white;
    background-color: #002034;
    border: 1px solid transparent;
}

.login-box input[type='checkbox'] {
    width: auto;
}

.login-box label {
    font-size: 14px;
    font-family: Montserrat-L;
}

.back-button {
    width: 40px;
    height: 40px;

    display: flex;
    justify-content: center;
    align-items: center;

    text-align: center;
    font-size: 30px;
    color: #002034;

    -moz-transform: scale(-1, 1);
    -webkit-transform: scale(-1, 1);
    -o-transform: scale(-1, 1);
    -ms-transform: scale(-1, 1);
    transform: scale(-1, 1);

    align-self: flex-start;

    background-color: white;
    border-radius: 25px;

    border: 2px solid transparent;
}

.back-button:hover {
    border: 2px solid #002034;
}

.back-button:active {
    border: 2px solid transparent;
    background-color: #002034;
    color: white;
}

@media screen and (max-width: 600px){

    .horizontal-box-full {
        flex-direction: column-reverse;
    }

    .logo-vertical {
        content: url(../img/logo_vertical.png);
        width: 30vh;
    }

    .login-box {
        width: 75vw;
    }

}

.line-bar {
    height: 1px;
    width: 80%;
    background-color: white;
    margin: 20px 0px 20px 0px;
}

.esqueci-minha-senha {
    margin-top: 15px;
    cursor: pointer;
    color: #002034;
    text-decoration: underline;
}

.recuperar-senha input[type="button"] {
    width: 100px;
}